Bug 1025707 - Changing management ports for domain is not working in -console installation
Changing management ports for domain is not working in -console installation
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 07:01 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-01 07:01:35 EDT
Description of problem:
 Management ports for domain are not changed by -console installer,

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
 1. Run -console installation
 2. Select to configure custom port bindings for Domain mode. 
 3. Change management-native port to 1111 and management-http port to 1110
 4. Finish the installation
 5. Check host.xml, host-slave.xml or host-master.xml files.

Actual results:
 Default ports (9999 & 9990) are used.

Expected results:
 New ports (1111 & 1110) are used.

Additional info:
 Gui installation is fine.
Comment 1 Miles Tjandrawidjaja 2013-11-04 11:14:21 EST
Domain port configuration should now be working during a console installation.
Host.xml files should be created as configured.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=e2bf5a2a4b4c95f77f84d9f6eaf8131c57267eb4
Comment 2 Petr Kremensky 2013-11-14 10:43:53 EST
Verified on EAP 6.2.0.CR1 installer.

Note You need to log in before you can comment on or make changes to this bug.